
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_asaveplcnumber_bak")]
    public class BaseAsaveplcnumberBak
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        /// <summary>
        /// 区域编码
        /// </summary>
        [Column("area_no")]
        public string areaNo { get; set; }

        /// <summary>
        /// 区域名称
        /// </summary>
        [Column("area_name")]
        public string areaName { get; set; }

        /// <summary>
        /// 当库区车辆数与plc读取的车辆数不一致时，记录读取plc
        /// </summary>
        [Column("plc_number")]
        public string plcNumber { get; set; }

        /// <summary>
        /// 当库区车辆数与plc读取的车辆数不一致时，记录
        /// </summary>
        [Column("kuqu_number")]
        public string kuquNumber { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }
    }
}

